﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace _195473_KendoGrid_Inline_Edit_AngularJS_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: /Home/
        public ActionResult Index()
        {
            return View();
        }

        public JsonResult GetCustomers()
        {
            CustomerEntities entities = new CustomerEntities();
            List<Customer> customers = entities.Customers.ToList();
            return Json(customers, JsonRequestBehavior.AllowGet);
        }

        public JsonResult UpdateCustomer(Customer customer)
        {
            CustomerEntities entities = new CustomerEntities();
            Customer customerForUpdate = entities.Customers.Where(x => x.CustomerId == customer.CustomerId).FirstOrDefault();
            customerForUpdate.Name = customer.Name;
            customerForUpdate.Country = customer.Country;
            entities.SaveChanges();
            return Json(customer, JsonRequestBehavior.AllowGet);
        }
    }
}
